<!-- needs `gitEditUrl` under [Params] in /config.toml -->
<!-- arg: page context `.` -->
{{ $file := .File }}
{{ $site := .Site }}

{{ $editUrl := (delimit (slice $site.Params.joblistcityCmsUrl $file.Section "entries" $file.BaseFileName "index") "/") }}
{{ $text := (delimit (slice (singularize .Type) .Title) " ") }}

{{ if $site.Params.gitProjectUrl }}
{{with $file.Path }}
<aside class="EditPage">
	<small>
		Edit
		<a
			class="EditThisPage"
			title="Edit this page's content: {{ $file.LogicalName }}"
			target="_blank"
			href="{{ $editUrl }}">
			<i>{{ $text | lower }}</i>
		</a>.
	</small>
</aside>
{{ end }}

{{ end }}
